| Face Engine SDK 5.2.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Public Types | Public Member Functions | List of all members
fsdk::IBestShotQualityEstimator Struct Referenceabstract

BestShot and Quality estimator interface. More...

`#include <IBestShotQualityEstimator.h>`

Inheritance diagram for fsdk::IBestShotQualityEstimator:

## Classes
struct | EstimationResult
| BestShotQualityEstimator output structure. More...

## Public Types
enum | EstimationRequest { estimateAGS = 1 << 0, estimateHeadPose = 1 << 1, estimateAll = 0xffff }
| EstimationRequest lists all possible estimation attributes that BestShotQuality estimator is able to estimate. More...

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &image, const Detection &detection, const EstimationRequest request, EstimationResult &result) const noexcept=0
| Estimate unified AGS and HeadPose attributes. More...
virtual Result< FSDKError > | estimate (Span< const Image > images, Span< const Detection > detections, const EstimationRequest request, Span< EstimationResult > results) const noexcept=0
| Estimate unified AGS and HeadPose attributes of multiple frames in a single estimate function call. More...
virtual Result< FSDKError > | validate (Span< const Image > images, Span< const Detection > detections, const fsdk::IBestShotQualityEstimator::EstimationRequest request, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

BestShot and Quality estimator interface.

Note
  This estimator is designed to work with Image and detection;

## Member Enumeration Documentation

enum fsdk::IBestShotQualityEstimator::EstimationRequest

EstimationRequest lists all possible estimation attributes that BestShotQuality estimator is able to estimate.

Enumerator
estimateAGS | Estimate AGS.
estimateHeadPose | Estimate HeadPose.
estimateAll | Make full estimation (all attributes)

## Member Function Documentation

virtual Result<FSDKError> fsdk::IBestShotQualityEstimator::estimate | ( | const Image & | image,
|  | const Detection & | detection,
|  | const EstimationRequest | request,
|  | EstimationResult & | result
| ) |  | const
| pure virtual noexcept

Estimate unified AGS and HeadPose attributes.

Parameters

  [in] | image | input image. Format must be R8G8B8;
  [in] | detection | detection coords in image space;
  [in] | request | EstimationRequest structure;

See Also
  EstimationRequests for more details;

Parameters

  [out] | result | output estimation;

See Also
  IBestShotQualityEstimator::EstimationResult.

Returns
  Error code;

See Also
  FSDKError for details.

virtual Result<FSDKError> fsdk::IBestShotQualityEstimator::estimate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | const EstimationRequest | request,
|  | Span< EstimationResult > | results
| ) |  | const
| pure virtual noexcept

Estimate unified AGS and HeadPose attributes of multiple frames in a single estimate function call.

Parameters

  [in] | images | span of input images; format must be R8G8B8;

See Also
  fsdk::Span for mode info.

Parameters

  [in] | detection | span of detection coords of corresponding source images.
  [in] | request | EstimationRequest structure;

See Also
  EstimationRequests for more details.

Parameters

  [out] | results | span of estimations.

Returns
  Error code;

See Also
  FSDKError for details.
  IBestShotQualityEstimator::EstimationResult and fsdk::Span for more info.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

virtual Result<FSDKError> fsdk::IBestShotQualityEstimator::validate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | const fsdk::IBestShotQualityEstimator::EstimationRequest | request,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | images | span of input images.
  [in] | detections | span of detection coords of corresponding source images.
  [in] | request | EstimationRequest structure;

See Also
  EstimationRequests for more details.

Parameters

  [out] | errors | output span of errors for each image.

Returns
  Error code;

See Also
  FSDKError for details.

Note
  all spans should be based on user owned continuous collections.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IBestShotQualityEstimator.h